Package home | Report new bug | New search | Development Roadmap Status: Open | Feedback | All | Closed Since Version 1.8.2

Request #17774 Patch: Avoid deprecated function calls
Submitted: 2010-08-21 05:58 UTC
From: olleolleolle Assigned:
Status: Open Package: Cache_Lite (version SVN)
PHP Version: 5.3.1 OS:
Roadmaps: (Not assigned)    
Subscription  


 [2010-08-21 05:58 UTC] olleolleolle (Olle Jonsson)
Description: ------------ WARNING: Function 'set_magic_quotes_runtime' is deprecated, its use is no longer recommended in file: ./Cache_Lite/Lite.php line 716 line 728 line 775 line 779

Comments

 [2010-08-21 05:59 UTC] olleolleolle (Olle Jonsson)
 [2010-08-24 07:08 UTC] doconnor (Daniel O'Connor)
This represents a small BC break for old php with magic quotes on. I think we should put it to the wider QA community to decide if we should do this, and how widely we should publish the BC break (pear blog? do a branch?)
 [2011-05-13 13:15 UTC] nahuel (Nahuel Angelinetti)
I think, since this function is a deprecated one, Cache_Lite should not use it, or at least use it, only if the PHP version support it as non-deprecated.
 [2013-01-06 22:19 UTC] borisovg (George Borisov)
In case this helps anyone: having endured the deprecation warnings for several months, I gave up and re-implemented a large chunk of Cache_Lite in PHP5. https://github.com/borisovg/php-cache-zero This is not a complete re-implementation, only the core of Lite.php and Output.php as it is all I use. It is not a drop-in replacement, as I have changed the names of some of the options and and functions.
 [2014-05-10 14:49 UTC] tacker (Markus Tacker)
-Type: Bug +Type: Feature/Change Request
 [2016-04-19 07:52 UTC] ildar (Ildar Amankulov)
http://php.net/manual/ru/migration70.incompatible.php set_magic_quotes_runtime(), along with its alias magic_quotes_runtime(), have been removed.